Summary:	Qt implementation of the DBusMenu spec
Summary(pl.UTF-8):	Implementacja Qt specyfikacji DBusMenu
Name:		libdbusmenu-qt5
Version:	0.9.3
%define	ubu_rel	16.04
%define	snap	20160218
%define	rel	1
Release:	0.%{snap}.1
License:	LGPL v2+
Group:		Libraries
Source0:	https://launchpad.net/ubuntu/+archive/primary/+sourcefiles/libdbusmenu-qt/%{version}+%{ubu_rel}.%{snap}-0ubuntu1/libdbusmenu-qt_%{version}+%{ubu_rel}.%{snap}.orig.tar.gz
# Source0-md5:	8b90312bd8654e026d814d4db986ce5e
URL:		https://launchpad.net/libdbusmenu-qt/
BuildRequires:	Qt5Core-devel >= 5
BuildRequires:	Qt5DBus-devel >= 5
BuildRequires:	Qt5Widgets-devel >= 5
BuildRequires:	cmake >= 2.8.11
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= 5
BuildRequires:	qt5-qmake >= 5
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides a Qt implementation of the DBusMenu spec, built
for Qt5.

%description -l pl.UTF-8
Ta biblioteka dostarcza implementację Qt specyfikacji DBusMenu,
zbudowaną dla Qt5.

%package devel
Summary:	Header files for dbusmenu-qt5 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dbusmenu-qt5
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= 5
Requires:	Qt5DBus-devel >= 5
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for dbusmenu-qt5 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dbusmenu-qt5.

%package apidocs
Summary:	dbusmenu-qt5 API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki dbusmenu-qt5
Group:		Documentation

%description apidocs
API documentation for dbusmenu-qt5 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki dbusmenu-qt5.

%prep
%setup -q -n libdbusmenu-qt-%{version}+%{ubu_rel}.%{snap}

%build
install -d build
cd build
%cmake .. \
	-DUSE_QT5=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libdbusmenu-qt5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdbusmenu-qt5.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbusmenu-qt5.so
%{_includedir}/dbusmenu-qt5
%{_libdir}/cmake/dbusmenu-qt5
%{_pkgconfigdir}/dbusmenu-qt5.pc

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/libdbusmenu-qt5-doc
%changelog
* Thu Jun 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdbusmenu-qt5.git;a=log;h=master

* Wed Jun 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 0d9cadc
- new, based on libdbusmenu-qt.spec

